> ## Documentation Index
> Fetch the complete documentation index at: https://docs.databar.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a specific exporter

> Retrieve detailed information about a specific exporter by its ID, including its input parameters and output fields.



## OpenAPI

````yaml GET /v1/exporters/{exporter_id}
openapi: 3.1.0
info:
  title: Databar.ai API
  description: >-

    # Authentication


    Databar uses API keys to allow access to the API. You can find your API key
    in your workspace home page, but to use the REST API you’ll first need to
    schedule a call with us.

    Our API expects the API key to be included in all API requests to the server
    in the Header of your request with the key `x-apikey`.

    To find your API key, head over to your Databar workspace and click
    Integrations.


    **Example:**


    `bash

    curl https://api.databar.ai/v1/user/me -H x-apikey: {YOUR_API_KEY}`
  contact:
    email: info@databar.ai
  version: 0.1.2
servers:
  - url: https://api.databar.ai
    description: Production
security: []
paths:
  /v1/exporters/{exporter_id}:
    get:
      tags:
        - Exporter
      summary: Get a specific exporter
      description: >-
        Retrieve detailed information about a specific exporter by its ID,
        including its input parameters and output fields.
      operationId: get_exporter_v1_exporters__exporter_id__get
      parameters:
        - name: exporter_id
          in: path
          required: true
          schema:
            type: integer
            description: The ID of the exporter to retrieve
            title: Exporter Id
          description: The ID of the exporter to retrieve
        - name: x-apikey
          in: header
          required: true
          schema:
            type: string
            title: API Key
            description: API Key for authentication
          description: API Key for authentication
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExporterParams'
              example:
                id: 1
                name: Google Sheets Exporter
                description: Push data to Google Sheets
                dataset: 42
                params:
                  - name: spreadsheet_url
                    is_required: true
                    type_field: text
                    description: Google Sheets URL
                response_fields:
                  - name: status
                    type_field: text
        '403':
          description: Forbidden access
        '404':
          description: Exporter not found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ExporterParams:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        description:
          type: string
          title: Description
        dataset:
          type: integer
          title: Dataset
        params:
          items:
            $ref: '#/components/schemas/app__api__v1__exporter__Param'
          type: array
          title: Params
        response_fields:
          items:
            $ref: '#/components/schemas/app__api__v1__exporter__ResponseField'
          type: array
          title: Response Fields
        authorization:
          $ref: '#/components/schemas/AuthorizationInfo'
      type: object
      required:
        - id
        - name
        - description
        - dataset
        - params
        - response_fields
        - authorization
      title: ExporterParams
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    app__api__v1__exporter__Param:
      properties:
        name:
          type: string
          title: Name
        is_required:
          type: boolean
          title: Is Required
        type_field:
          type: string
          title: Type Field
        description:
          type: string
          title: Description
        choices:
          anyOf:
            - $ref: '#/components/schemas/app__api__v1__enrichment__Choices'
            - type: 'null'
      type: object
      required:
        - name
        - is_required
        - type_field
        - description
      title: Param
    app__api__v1__exporter__ResponseField:
      properties:
        name:
          type: string
          title: Name
        display_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Display Name
        type_field:
          type: string
          title: Type Field
      type: object
      required:
        - name
        - type_field
      title: ResponseField
    AuthorizationInfo:
      properties:
        required:
          type: boolean
          title: Required
        connections:
          items:
            $ref: '#/components/schemas/Connection'
          type: array
          title: Connections
      type: object
      required:
        - required
        - connections
      title: AuthorizationInfo
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    app__api__v1__enrichment__Choices:
      properties:
        mode:
          type: string
          title: Mode
        items:
          anyOf:
            - items:
                $ref: '#/components/schemas/app__api__v1__enrichment__ChoiceItem'
              type: array
            - type: 'null'
          title: Items
        endpoint:
          anyOf:
            - type: string
            - type: 'null'
          title: Endpoint
      type: object
      required:
        - mode
      title: Choices
    Connection:
      properties:
        id:
          type: integer
          title: Id
        name:
          type: string
          title: Name
        type:
          type: string
          title: Type
      type: object
      required:
        - id
        - name
        - type
      title: Connection
    app__api__v1__enrichment__ChoiceItem:
      properties:
        id:
          type: string
          title: Id
        name:
          type: string
          title: Name
      type: object
      required:
        - id
        - name
      title: ChoiceItem

````